# MapGIS Client for JavaScript API

Cesium MapboxGL Leaflet OpenLayers
API文档

    ﻿import { Zondy } from '../../../base'
    import CTheme from './CTheme'
    import { defaultValue } from '../../../util'
    /**
     * 随机专题图
     * @class module:专题图服务.CRandomTheme
     * @classdesc 随机专题图
     * @description Zondy.Object.Theme.CRandomTheme
     * @extends CTheme
     * @param {Object} options 属性键值对
     */
    class CRandomTheme extends CTheme {
      constructor(options) {
        options = defaultValue(options, {})
        super(options)
        /**
         * @private
         * @member Zondy.Object.Theme.CRandomTheme.prototype.Type
         * @type {String}
         * @description 专题图类型,只读属性
         * @default "CRandomTheme"
         */
        this.Type = 'CRandomTheme'
      }
    }
    export default CRandomTheme
    Zondy.Object.Theme.CRandomTheme = CRandomTheme

构造函数
成员变量
方法
事件